function [C,D,tc]=clarity(y,fs,T)
% T: ms-ben
% A BEMENETRE TERJEDESI KESLELTETES NELKULI IMPULZUSVALASZ KELL!!
% zajkorrekció automatikusan alkalmazva van, zajtalan bemenetre is jó

pnter=T*fs/1000;

zaj=y(round(.9*length(y)):end).^2; % impválasz utolsó 10%-a (y // keskenysáv is lehet)
RMS_zaj = sum(zaj)/length(zaj); % mintha ez igazából RMS négyzet lenne...
energia = y.^2- RMS_zaj; % (y^2) - RMS(zaj // keskenysáv is lehet)

Ee=sum(energia(1:pnter));
El=sum(energia(pnter+1:end));
Eo=sum(energia(1:end));
        
C=10*log10(Ee/El);
D=100*(Ee/Eo);

% Centre Time
t=(0:length(energia)-1)/fs;
tc= sum(energia(:).*t(:))./Eo;